Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2011-1842

Overview

Vulnerability Score 7.2 7.2
CVE Id CVE-2011-1842
Last Modified 06 Sep 2011 11:16:38
Published 02 May 2011 08:55:01
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector LOCAL
Access Complexity LOW
Authentication NONE

CVE-2011-1842

Summary

dbus_backend/lsd.py in the D-Bus backend in language-selector before 0.6.7 does not validate the arguments to the (1) SetSystemDefaultLangEnv and (2) SetSystemDefaultLanguageEnv functions, which allows local users to gain privileges via shell metacharacters in a string argument, a different vulnerability than CVE-2011-0729.

Vulnerable Systems

Application

  • Ubuntu Language-selector 0.0%2bbaz20050531

  • Ubuntu Language-selector 0.0%2bbaz20050609

  • Ubuntu Language-selector 0.0%2bbaz20050614

  • Ubuntu Language-selector 0.0%2bbaz20050808

  • Ubuntu Language-selector 0.0%2bbaz20050811

  • Ubuntu Language-selector 0.0%2bbaz20050819

  • Ubuntu Language-selector 0.0%2bbaz20050819.2

  • Ubuntu Language-selector 0.0%2bbaz20050822

  • Ubuntu Language-selector 0.0%2bbaz20050823

  • Ubuntu Language-selector 0.0%2bbaz20050824

  • Ubuntu Language-selector 0.0%2bbaz20050912

  • Ubuntu Language-selector 0.0%2bbaz20050926

  • Ubuntu Language-selector 0.0%2bbaz20050927

  • Ubuntu Language-selector 0.1

  • Ubuntu Language-selector 0.1.1

  • Ubuntu Language-selector 0.1.10

  • Ubuntu Language-selector 0.1.11

  • Ubuntu Language-selector 0.1.12

  • Ubuntu Language-selector 0.1.13

  • Ubuntu Language-selector 0.1.14

  • Ubuntu Language-selector 0.1.15

  • Ubuntu Language-selector 0.1.16

  • Ubuntu Language-selector 0.1.17

  • Ubuntu Language-selector 0.1.18

  • Ubuntu Language-selector 0.1.19

  • Ubuntu Language-selector 0.1.2

  • Ubuntu Language-selector 0.1.20

  • Ubuntu Language-selector 0.1.21

  • Ubuntu Language-selector 0.1.22

  • Ubuntu Language-selector 0.1.23

  • Ubuntu Language-selector 0.1.24

  • Ubuntu Language-selector 0.1.25

  • Ubuntu Language-selector 0.1.26

  • Ubuntu Language-selector 0.1.27

  • Ubuntu Language-selector 0.1.28

  • Ubuntu Language-selector 0.1.29

  • Ubuntu Language-selector 0.1.3

  • Ubuntu Language-selector 0.1.30

  • Ubuntu Language-selector 0.1.4

  • Ubuntu Language-selector 0.1.5

  • Ubuntu Language-selector 0.1.6

  • Ubuntu Language-selector 0.1.7

  • Ubuntu Language-selector 0.1.8

  • Ubuntu Language-selector 0.1.9

  • Ubuntu Language-selector 0.2.0

  • Ubuntu Language-selector 0.2.1

  • Ubuntu Language-selector 0.2.10

  • Ubuntu Language-selector 0.2.2

  • Ubuntu Language-selector 0.2.3

  • Ubuntu Language-selector 0.2.4

  • Ubuntu Language-selector 0.2.5

  • Ubuntu Language-selector 0.2.6

  • Ubuntu Language-selector 0.2.7

  • Ubuntu Language-selector 0.2.8

  • Ubuntu Language-selector 0.2.9

  • Ubuntu Language-selector 0.3.0

  • Ubuntu Language-selector 0.3.1

  • Ubuntu Language-selector 0.3.10

  • Ubuntu Language-selector 0.3.11

  • Ubuntu Language-selector 0.3.12

  • Ubuntu Language-selector 0.3.13

  • Ubuntu Language-selector 0.3.14

  • Ubuntu Language-selector 0.3.15

  • Ubuntu Language-selector 0.3.16

  • Ubuntu Language-selector 0.3.17

  • Ubuntu Language-selector 0.3.2

  • Ubuntu Language-selector 0.3.20

  • Ubuntu Language-selector 0.3.21

  • Ubuntu Language-selector 0.3.3

  • Ubuntu Language-selector 0.3.4

  • Ubuntu Language-selector 0.3.5

  • Ubuntu Language-selector 0.3.6

  • Ubuntu Language-selector 0.3.7

  • Ubuntu Language-selector 0.3.8

  • Ubuntu Language-selector 0.3.9

  • Ubuntu Language-selector 0.4.0

  • Ubuntu Language-selector 0.4.1

  • Ubuntu Language-selector 0.4.10

  • Ubuntu Language-selector 0.4.11

  • Ubuntu Language-selector 0.4.12

  • Ubuntu Language-selector 0.4.13

  • Ubuntu Language-selector 0.4.14

  • Ubuntu Language-selector 0.4.15

  • Ubuntu Language-selector 0.4.16

  • Ubuntu Language-selector 0.4.17

  • Ubuntu Language-selector 0.4.18

  • Ubuntu Language-selector 0.4.19

  • Ubuntu Language-selector 0.4.2

  • Ubuntu Language-selector 0.4.2.1

  • Ubuntu Language-selector 0.4.2.2

  • Ubuntu Language-selector 0.4.2.3

  • Ubuntu Language-selector 0.4.3

  • Ubuntu Language-selector 0.4.4

  • Ubuntu Language-selector 0.4.5

  • Ubuntu Language-selector 0.4.6

  • Ubuntu Language-selector 0.4.7

  • Ubuntu Language-selector 0.4.8

  • Ubuntu Language-selector 0.4.9

  • Ubuntu Language-selector 0.5.0

  • Ubuntu Language-selector 0.5.1

  • Ubuntu Language-selector 0.5.2

  • Ubuntu Language-selector 0.5.3

  • Ubuntu Language-selector 0.5.4

  • Ubuntu Language-selector 0.5.5

  • Ubuntu Language-selector 0.5.6

  • Ubuntu Language-selector 0.5.7

  • Ubuntu Language-selector 0.6.0

  • Ubuntu Language-selector 0.6.1

  • Ubuntu Language-selector 0.6.2

  • Ubuntu Language-selector 0.6.3

  • Ubuntu Language-selector 0.6.4

  • Ubuntu Language-selector 0.6.5

  • Ubuntu Language-selector 0.6.6


References

CONFIRM - https://launchpad.net/bugs/764397

BID - 47502

CONFIRM - https://launchpad.net/ubuntu/+source/language-selector/0.6.7

XF - languageselector-dbus-priv-esc(67255)

VUPEN - ADV-2011-1032

CONFIRM - http://www.ubuntuupdates.org/packages/show/307975

UBUNTU - USN-1115-1

SECUNIA - 44214


Last Updated: 27 May 2016 10:56:49